rsq.rpart {rpart} | R Documentation

## Plots the Approximate R-Square for the Different Splits

### Description

Produces 2 plots. The first plots the r-square (apparent and apparent - from cross-validation) versus the number of splits. The second plots the Relative Error(cross-validation) +/- 1-SE from cross-validation versus the number of splits.

### Usage

    rsq.rpart(x)

### Arguments

`x` | fitted model object of class `rpart`. This is assumed to be the result of some function that produces an object with the same named components as that returned by the `rpart` function.

### Side Effects

Two plots are produced.

### Note

The labels are only appropriate for the `"anova"` method.

### Examples

    data(car.test.frame)
    z.auto <- rpart(Mileage ~ Weight, car.test.frame)
    rsq.rpart(z.auto)

[Package Contents]